gr::ieee802_15_4::zeropadding_b Class Reference

<+description of block+> More...

`#include <zeropadding_b.h>`

Inheritance diagram for gr::ieee802_15_4::zeropadding_b:
[legend]

## Public Types

typedef boost::shared_ptr< zeropadding_b > | sptr

## Static Public Member Functions

static sptr | make (int nzeros)
| Return a shared_ptr to a new instance of ieee802_15_4::zeropadding_b. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<zeropadding_b> gr::ieee802_15_4::zeropadding_b::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::zeropadding_b::make | ( | int | nzeros | ) |

static

Return a shared_ptr to a new instance of ieee802_15_4::zeropadding_b.

To avoid accidental use of raw pointers, ieee802_15_4::zeropadding_b's constructor is in a private implementation class. ieee802_15_4::zeropadding_b::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- zeropadding_b.h